[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# StrPas

Convert a null-terminated string to a shortstring.

## Declaration

Source position: systemh.inc line 1149

`function StrPas(`
`p: PChar`
`):shortstring;`

## Description

Converts a null terminated string in P to a Pascal string, and returns this string. The string is truncated at 255 characters.

## Errors

None.